Bug 247115 - www/py-google-api-python-client: Change RUN_DEPENDS of DJANGO option
Summary: www/py-google-api-python-client: Change RUN_DEPENDS of DJANGO option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://wiki.freebsd.org/Ports/Django
Keywords: buildisok
Depends on:
Blocks: 245309
  Show dependency treegraph
 
Reported: 2020-06-09 15:32 UTC by Kai Knoblich
Modified: 2021-01-04 09:30 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (nivit)


Attachments
py-google-api-client-switch-to-django22.patch (1.25 KB, patch)
2020-06-09 15:32 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff
py-google-api-python-client-switch-to-django22-v2.patch (925 bytes, patch)
2021-01-04 09:25 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2020-06-09 15:32:07 UTC
Created attachment 215395 [details]
py-google-api-client-switch-to-django22.patch

Hi,

attached is the patch that changes the RUN_DEPENDS of the DJANGO option from Django 1.11 (End-of-Life since April) to Django 2.2 (current LTS release).

Set the port as BROKEN if Python 2.7 is used and the DJANGO option is set because Django 2.2 is only available for Python 3.5+.

QA:
~~~
- poudriere (11.3-RELEASE amd64 for each py27, py35, py36, py37 and py38 flavor) -> OK
Comment 1 Steve Wills freebsd_committer 2020-06-24 00:15:47 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/159424803
Comment 2 Kai Knoblich freebsd_committer 2020-06-25 08:35:18 UTC
Comment on attachment 215395 [details]
py-google-api-client-switch-to-django22.patch

^ Triage: Setting maintainer-approval to '+' due maintainer's timeout.
Comment 3 Kai Knoblich freebsd_committer 2020-06-25 09:25:51 UTC
Opened review D25446 for an alternative approach to deal with the DJANGO option regarding Python 2.7.
Comment 4 Kai Knoblich freebsd_committer 2021-01-04 09:25:30 UTC
Created attachment 221268 [details]
py-google-api-python-client-switch-to-django22-v2.patch

Attach an updated revision of the patch as the workaround for Python 2.7 is no longer required since ports r559531.
Comment 5 commit-hook freebsd_committer 2021-01-04 09:28:36 UTC
A commit references this bug:

Author: kai
Date: Mon Jan  4 09:28:28 UTC 2021
New revision: 560275
URL: https://svnweb.freebsd.org/changeset/ports/560275

Log:
  www/py-google-api-python-client: Change RUN_DEPENDS of DJANGO option

  * Switch the non-default DJANGO option from Django 1.11 (End-of-Life since
    April 2020) to Django 2.2 (current LTS release).

  * Bump PORTREVISION due changed dependencies.

  PR:		247115
  Approved by:	maintainer timeout (5+ months)

Changes:
  head/www/py-google-api-python-client/Makefile